Subject: bug#29184: binutils 2.29 fails to set RUNPATH in gcc-cross-boot0

From: [email-masked] (Ludovic Courtès)
Date: Tue, 07 Nov 2017 11:39:47 +0100

Hi!

Marius Bakke <[email-masked]> skribis:

> I tried to cherry-pick the binutils 2.29 update
> (b0a14e5628eb56052f0c3d21a7b5375f5813b01d), but it breaks the
> 'validate-runpath' phase of gcc-cross-boot0:
>
> starting phase `validate-runpath'
> validating RUNPATH of 8 binaries in "/gnu/store/ybh1ifgzs717mz5dp1pk2nrgakqg1l8x-gcc-cross-boot0-5.5.0/libexec"...
> /gnu/store/ybh1ifgzs717mz5dp1pk2nrgakqg1l8x-gcc-cross-boot0-5.5.0/libexec/gcc/x86_64-guix-linux-gnu/5.5.0/cc1: error: depends on 'ld-linux-x86-64.so.2', which cannot be found in RUNPATH ()          

Oh, it looks like this new Binutils adds ld-linux.so to NEEDED, which
was not the case until now.

I’ve looked at NEWS files but I don’t see where this is coming from.

Could it be a problem on our side?

BTW 2.29.1 is out.

Ludo’.